pkgname=lunaos-calamares-config
pkgver=.
pkgrel=1
pkgdesc="Calamares configuration for LunaOS"
arch=('any')
url="https://gitlab.com/LunaOS/iso"
makedepends=('git')
depends=('lunaos-calamares')
conflicts=('lunaos-calamares-config')
provides=("${pkgname}")
options=(!strip !emptydirs)
source=(${pkgname}::"git+${url}/${pkgname}")
sha256sums=('SKIP')

pkgver() {
	cd "$pkgname"
	printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

package() {
	local _destdir=etc/calamares

  	install -dm755 $pkgdir/$_destdir
  	install -dm755 $pkgdir/usr/lib/calamares/modules/
  	
  	cp -rf $srcdir/$pkgname/etc $pkgdir
  	cp -rf $srcdir/$pkgname/usr/lib/calamares/modules/* $pkgdir/usr/lib/calamares/modules/
}
